Package org.apache.tomcat.websocket.pojo

# Class PojoMessageHandlerBase<T>

java.lang.Object
org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>

Type Parameters:
  `T` - The type of message to handle

All Implemented Interfaces:
  `WrappedMessageHandler`

Direct Known Subclasses:
  `PojoMessageHandlerPartialBase`, `PojoMessageHandlerWholeBase`

public abstract class PojoMessageHandlerBase<T> extends Object implements WrappedMessageHandler
Common implementation code for the POJO message handlers.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final boolean`
`convert`
`protected final int`
`indexPayload`
`protected final int`
`indexSession`
`protected final long`
`maxMessageSize`
`protected final Method`
`method`
`protected final Object[]`
`params`
`protected final Object`
`pojo`
`protected final Session`
`session`

## Constructor Summary

Constructors
Constructor
Description
`PojoMessageHandlerBase(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexSession, long maxMessageSize)`

## Method Summary

Modifier and Type
Method
Description
`final long`
`getMaxMessageSize()`
`final MessageHandler`
`getWrappedHandler()`
Expose the POJO if it is a message handler so the Session is able to match requests to remove handlers if the original handler has been wrapped.
`protected final void`
`handlePojoMethodInvocationTargetException(InvocationTargetException e)`
`protected final void`
`processResult(Object result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pojo

protected final Object pojo

### method

protected final Method method

### session

protected final Session session

### params

protected final Object[] params

### indexPayload

protected final int indexPayload

### convert

protected final boolean convert

### indexSession

protected final int indexSession

### maxMessageSize

protected final long maxMessageSize

## Constructor Details

### PojoMessageHandlerBase

public PojoMessageHandlerBase(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexSession, long maxMessageSize)

## Method Details

### processResult

protected final void processResult(Object result)

### getWrappedHandler

public final MessageHandler getWrappedHandler()
Expose the POJO if it is a message handler so the Session is able to match requests to remove handlers if the original handler has been wrapped.

Specified by:
  `getWrappedHandler` in interface `WrappedMessageHandler`

### getMaxMessageSize

public final long getMaxMessageSize()

Specified by:
  `getMaxMessageSize` in interface `WrappedMessageHandler`

### handlePojoMethodInvocationTargetException

protected final void handlePojoMethodInvocationTargetException(InvocationTargetException e)